<side-nav [navItems]="navItems" basePath="projects"></side-nav>
<main>
    <h1>Projects</h1>
    <p>Projects are, well... projects. Examples can include clinical trial, grant, contract, co-development.</p>

    <p>Projects are made up of these data objects:</p>
    <dl>

        <dt>Project</dt>
        <dd>The concept of a project is a concerted endevour that comes with access controls, has team members that include at least one administrator (who manages the access controls), and have an existing or potential set of assets that they need to manage
            within that team. Projects <em>as a concept</em> can span multiple devices, as opposed to Project Buckets, which cannot.</dd>

        <dt>Project Bucket</dt>
        <dd>Project Buckets are spaces that live with Device Buckets. They house assets and provide a conceptual boundary around authorization and access control. If a real-life Project spans multiple devices, there are multiple Project Buckets.</dd>

        <dt>Project Role Management</dt>
        <dd>This concept specifies how Users and Roles relate to Projects. This is the business logic:
            <ul>
                <li>Administrators should be able to edit the properties of all Project Buckets</li>
                <li>Users with either the PI or PI Delegate role on a Project should be able to edit the Properties of that Project Bucket.</li>
                <li>UHN users must have a method by which to request the creation of Project Buckets in one or more Device Buckets.</li>
                <li>Administrators require a method to manage which UHN users are assigned the Administrator role.</li>
                <li>Only Administrators should be able to assign/remove the Administrator role to/from UHN users</li>
                <li>Administrators must be able to manage which UHN users have the PI role for all Project Buckets</li>
                <li>Project Buckets can have multiple PI users. UHN users with the PI role on a Project should be able to manage which other UHN users have the PI role on that Project.</li>
                <li>Administrators and UHN users with the PI role on a Project can manage which other UHN users have the PI Delegate role on that Project.</li>
                <li>Administrators and UHN users with either the PI role or the PI Delegate role on a Project can manage which other UHN users have the Project Participant and Project Observer roles on that Project.</li>
            </ul>
        </dd>
    </dl>

    <h2>Schematics</h2>

    <h3>Project</h3>
    <p>A project is a conceptual container. It exists mainly to allow Project Buckets to be grouped logically. It has these fields:</p>
    <ol>
        <li>ID (system-generated) :: A UUID.</li>
        <li>Name: (required)</li>
    </ol>

    <h3>Project Buckets</h3>
    <p>Projects buckets have the following properties:</p>
    <ol>
        <li>Bucket Name (required): a URL-friendly name used to identify the project, using only ASCII chars</li>
        <li>Project ID (required): Must be associated to a Project (see above)</li>
        <li>sids (optional): Secondary IDs used by Project Managers to help in organizging data. Examples: CAPR, Contract Numbner</li>
        <li>Project Approval Date (optional): date</li>
        <li>Project Close Date (optional): date</li>
    </ol>

</main>
<aside hidden="hidden">
    <p>Supplemental information lives here.</p>
</aside>